//Swal.fire({
//    title : 'Bemvindo!',
//    text: 'Espero que estejas bem!',
    //html:
//    icon: 'success' //warning,question,error
    //confirmButtonText:
    //footer:
    //width:
    //padding:
    //background
    //grow:  //column,row
    //backdrop: //true,false
    //timer:  //3000
    //timerProgressBar: //true,false
    //toast:  //true
    //position: //center, botton-end,top,top-end ..
    //allowOutsideClick:
    //allowEscapeKey:
    //allowEnterKey:
    //stopEnterKey:
    //stopKeydownPropagation:
    //input:
    //inputPlaceholder:
    //inputValue:
    //inputOptions:
//})
$(function () {
    $('.remover').on('click',function (e) {
        e.preventDefault();
        const href = $(this).attr('href');
        Swal.fire({
            title: 'Desejas apagar isto?',
            text: "Não poderás reverter esta operação!",
            icon: 'warning',
            timer:5000,
            timerProgressBar:true,
            showCancelButton: true,
            confirmButtonColor: '#3085d6',
            cancelButtonColor: '#d33',
            confirmButtonText: 'Sim, apagar!'
        }).then((result) => {
            //if (result.isConfirmed) {
            //    document.location.href = href;
            //    Swal.fire(
            //        'Apagado!',
            //        'Dados apagados com sucesso!.',
            //        'success'
            //    )
            //}
            if(result.value){
                document.location.href = href;
                Swal.fire(
                        'Apagado!',
                        'Dados apagados com sucesso!.',
                        'success'
                )
            }
        })
    })

    $('.desabilitar').on('click',function (e) {
        e.preventDefault();
        const href = $(this).attr('href');
        Swal.fire({
            title: 'Desejas desativar este item?',
            text: "Irá desabilitar o item selecionado!",
            icon: 'warning',
            timer:5000,
            timerProgressBar:true,
            showCancelButton: true,
            confirmButtonColor: '#3085d6',
            cancelButtonColor: '#d33',
            confirmButtonText: 'Sim, desabilitar!'
        }).then((result) => {
            //if (result.isConfirmed) {
            //    document.location.href = href;
            //    Swal.fire(
            //        'Apagado!',
            //        'Dados apagados com sucesso!.',
            //        'success'
            //    )
            //}
            if(result.value){
                document.location.href = href;
                Swal.fire(
                    'Dasabilitado!',
                    'Item desabilitado com sucesso!.',
                    'success'
                )
            }
        })
    })

    $('#btn-paciente').on('click', function (e) {

        Swal.fire({
            title: 'Salvo!',
            text:'Dados do paciênte salvo com sucesso!.',
            icon: 'success',
            timer:4000,
            timerProgressBar:true
        })
    })
    $('#btn-triagem').on('click', function (e) {
        Swal.fire({
            title: 'Salvo!',
            text:'Dados da triagem salvo com sucesso!.',
            icon: 'success',
            timer:4000,
            timerProgressBar:true
        })
    })

    $('#btn-servico').on('click', function (e) {

        Swal.fire({
            title: 'Salvo!',
            text:'Dados alterado com sucesso!.',
            icon: 'success',
            timer:4000,
            timerProgressBar:true
        })
    })

    $('#btn-servico-clinico-edit').on('click', function (e) {

        Swal.fire({
            title: 'Alterado!',
            text:'Dados do serviço clínico alterado com sucesso!.',
            icon: 'success',
            timer:5000,
            timerProgressBar:true
        })
    })

    $('#btn-agenda').on('click', function (e) {

        Swal.fire({
            title: 'Salvo!',
            text:'Agenda médica salvo com sucesso!.',
            icon: 'success',
            timer:3000,
            timerProgressBar:true
        })
    })

    $('#btn-tipo-seguro').on('click', function (e) {

        Swal.fire({
            title: 'Salvo!',
            text:'Tipo de seguro salvo com sucesso!.',
            icon: 'success',
            timer:3000,
            timerProgressBar:true
        })
    })



    $('#btn-editar-agenda').on('click', function (e) {
        Swal.fire({
            title: 'Salvo!',
            text:'Agenda médica alterado com sucesso!.',
            icon: 'success',
            timer:2000,
            timerProgressBar:true
        })
    })

    $('#btn-editar-seguro').on('click', function (e) {
        Swal.fire({
            title: 'Salvo!',
            text:'Asseguradora do paciente alterado com sucesso!.',
            icon: 'success',
            timer:2000,
            timerProgressBar:true
        })
    })

    $('#btn-editar-tiposeguro').on('click', function (e) {
        Swal.fire({
            title: 'Salvo!',
            text:'Tipo de seguro alterado com sucesso!.',
            icon: 'success',
            timer:2000,
            timerProgressBar:true
        })
    })

    $('#desativar-triagem').on('click',function (e) {
        e.preventDefault();
        const href = $(this).attr('href');
        Swal.fire({
            title: 'Desejas desativar a triagem?',
            text: "Irá desabilitar o item selecionado!",
            icon: 'warning',
            timer:5000,
            timerProgressBar:true,
            showCancelButton: true,
            confirmButtonColor: '#3085d6',
            cancelButtonColor: '#d33',
            confirmButtonText: 'Sim, desabilitar!'
        }).then((result) => {
            //if (result.isConfirmed) {
            //    document.location.href = href;
            //    Swal.fire(
            //        'Apagado!',
            //        'Dados apagados com sucesso!.',
            //        'success'
            //    )
            //}
            if(result.value){
                document.location.href = href;
                Swal.fire(
                    'Dasabilitado!',
                    'Triagem desabilitado com sucesso!.',
                    'success'
                )
            }
        })
    })

});



/*function clicar(){
    const link = document.getElementsByClassName("btn-danger");

    if(link){
        link.("click", async (e) => {
            e.preventDefault();
            Swal.fire({
                title: 'Desejas apagar isto?',
                text: "Não poderás reverter esta operação!",
                icon: 'warning',
                timer:5000,
                timerProgressBar:true,
                showCancelButton: true,
                confirmButtonColor: '#3085d6',
                cancelButtonColor: '#d33',
                confirmButtonText: 'Sim, apagar!'
            }).then((result) => {
                if (result.isConfirmed) {
                    Swal.fire(
                        'Apagado!',
                        'Dados apagados com sucesso!.',
                        'success'
                    )
                }
            })
        })
    }
}*/